<?php

namespace App\Http\Controllers;

use App\Http\Service\LoginService;
use Illuminate\Http\JsonResponse;

class LoginController extends Controller
{
    private $loginService;

    public function __construct()
    {
        parent::__construct();
        $this->loginService = new LoginService();
    }

    /**
     * 融合登录
     *  @return JsonResponse
     */
    public function createToken()
    {
        $this->checkParam(['app_id','ver_info','ctype']);
        $data = $this->loginService->createToken($this->requestData);
        return json($data);
    }

    /**
     * 接收token，校验是否正确并返回聚合户信息
     */
    public function checkToken(){
        $this->checkParam(['token','uid']);
        $data = $this->loginService->getTokenInfo($this->requestData);
        return json($data);
    }


}
