<?php

namespace App\Http\Controllers;

use App\Http\Service\PayService;
use Illuminate\Http\JsonResponse;

class PayController extends Controller
{

    private $paySv;

    public function __construct()
    {
        parent::__construct();
        $this->paySv = new PayService();
    }

    /**
     * 创建订单，返回订单ID
     * @return JsonResponse
     */
    public function createOrder()
    {
        $this->checkParam(['app_id','ctype','uid','cp_order_id','role_id','role_name','server_id','money']);
        $data = $this->paySv->createOrder($this->requestData);
        return json($data);
    }

    /**
     * 确认下单,二次校验订单金额等，返回订单状态
     * @return JsonResponse
     */
    public function confirmOrder(){
        $this->checkParam(['app_id','ctype','uid','order_id','money']);
        $data = $this->paySv->confirmOrder($this->requestData);
        return json($data);
    }

    /**
     * 渠道支付回调，平台标识找sdk配置，验签，通过则向CP发起发货通知
     */
    public function verBack(){
        $this->checkParam(['app_id','ver']);
        $data = $this->paySv->verBack($this->requestData);
        return is_array($data) ? json($data) : $data;
    }

}
