<?php

namespace App\Http\Controllers;

use App\Http\Service\InitService;
use App\Http\Service\RoleService;


class ReportController extends Controller
{

    /**
     * 设备初始化
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function init()
    {
        $this->checkParam(['app_id','ctype']);
        $indexSv = new InitService();
        $data = $indexSv->storeInitData($this->requestData);
        return json($data);
    }


    /**
     * 角色上报
     * @return \Illuminate\Http\JsonResponse
     */
    public function role()
    {
        $this->checkParam(['uid','app_id','ctype','role_id','role_name','role_level','server_id','server_name']);
        $roleSv = new RoleService();
        $data = $roleSv->storeRoleData($this->requestData);
        return json($data);
    }

}
