<?php

namespace App\Http\Dto;

use Illuminate\Validation\Rule;

class RoleSubmitDataDto extends BaseDto
{
    protected $rules;

    public function __construct()
    {
        $this->rules = [
            'appID'        => 'required|integer|min:1',
            'roleID'       => 'required|string|max:255',
            'roleName'     => 'required|string|max:255',
            'vipLevel'     => 'required|integer|min:0',
            'serverID'     => 'required|string|max:255',
            'serverName'   => 'required|string|max:255',
            'guild'        => ['required', Rule::in([1, 2, 3, 4, 5])],
            'roleLevel'    => 'integer|min:0',
            'onlineLength' => 'integer|min:0',
            'moneyNum'     => 'integer|min:0',
            'userID'       => 'integer|min:0',
            'channelID'    => 'integer|min:0',
        ];
    }
}
