<?php

namespace App\Http\Service;

use App\Utils\CommonFunc;
use App\Utils\Response;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\DB;

class InitService
{
    /**
     * 存储设备初始化数据
     * @param array $params
     * @return bool
     */
    public function storeInitData(array $params)
    {
        $data = [
            'app_id' => $params['app_id'] ?? '',
            'ctype' => $params['ctype'] ?? '',
            'deviceno' => $params['deviceno'] ?? '',
            'ip' => CommonFunc::getTrustedProxiesIp(),
            'phone_ip' => $params['phone_ip'] ?? '',
            'phone_model' => $params['phone_model'] ?? '',
            'nname' => $params['nname'] ?? '',
            'ntype' => $params['ntype'] ?? '',
            'created_at' => time(),
            'imei' => $params['imei'] ?? '',
            'androidid' => $params['androidid'] ?? '',
            'oaid' => $params['oaid'] ?? '',
            'operator' => $params['operator'] ?? '',
            'sys_os' => $params['sys_os'] ?? '',
            'screen_size' => $params['screen_size'] ?? '',
            'type' => $params['type'] ?? 'nvandroid',
        ];
        //查询设备号
        if ($data['oaid']) {
            $where = ['oaid'=>$data['oaid']];
        } elseif ($data['imei']) {
            $where = ['imei'=>$data['imei']];
        } elseif ($data['androidid']) {
            $where = ['androidid'=>$data['androidid']];
        } else {
            return success("初始化成功");
        }
        // 查询设备是否存在
        $deviceObj = DB::table('app_device')->where($where)->first();
        if (is_null($deviceObj)) {
            Db::table('app_device')->insert($data);
        }
        return success("初始化成功");
    }

}
