<?php

namespace App\Http\Service;

use RuntimeException;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class RoleService
{

    /**
     * 存储角色上报数据
     *
     * @param array $params
     */
    public function storeRoleData(array $params)
    {
        // 判断用户是否存在
        $userInfo = DB::table('app_member')->where(['uid' => $params['uid']])->first();
        if (is_null($userInfo)) {
            return error('uid不存在！');
        }
        // 上报入库
        $logData = [
            'app_id' => $params['app_id'],
            'uid' => $params['uid'],
            'ctype' => $params['ctype'] ?? 0,
            'role_id' => $params['role_id'] ?? 0,
            'role_name' => $params['role_name'] ?? '',
            'vip_level' => $params['vip_level'] ?? 0,
            'server_id' => $params['server_id'] ?? 0,
            'server_name' => $params['server_name'] ?? '',
            'reported_type' => $params['reported_type'] ?? 1,
            'role_level' => $params['roleLevel'] ?? 0,
            'online_length' => $params['onlineLength'] ?? 0,
            'money_num' => $params['moneyNum'] ?? 0,
            'created_at' => date('Y-m-d H:i:s'),
        ];
        DB::table('app_game_rolelog')->insert($logData);
        return success('上报成功');
    }
}
